#!/bin/sh

# Extract fields from statuses
check_ids=$(echo "$main_basedir"/statuses/$instance/*/*.json)
if [ ! -n "$check_ids" ]; then
	exit 0
fi

for i in "$main_basedir"/statuses/$instance/*/*.json; do
	# Required fields
	status_id=$(jj -i $i 'id')
	status_date=$(jj -i $i 'created_at')

	# Fields
	content=$(jj -i $i content | "$main_basedir"/utils/html_to_txt_render)
	status_media_attachments=$(jj -i $i -l 'media_attachments.#.url' | tr -d '"\v')
        
	chmod 711 "$main_basedir"/statuses/$instance/$status_id
	touch -d "$status_date" "$main_basedir"/statuses/$instance/$status_id
	
	if [ -n "$content" ]; then
		echo "$content" > "$main_basedir"/statuses/$instance/$status_id/content
	fi
	if [ -n "$status_media_attachments" ]; then
		echo "$status_media_attachments" > "$main_basedir"/statuses/$instance/$status_id/media_attachments.m3u8
	fi
	chmod 600 "$main_basedir"/statuses/$instance/$status_id/*
done

"$main_basedir"/utils/statuses2files_acct.sh
